Subject: [Dime] Re: Relay supporting application

From: Nimish Bhargava <[email-masked]>
Date: Mon, 18 Jun 2007 09:20:47 +0530

Hi Marco

I have a concern that if we start providing application support at a node supporting relay application then the node will be required to parse every message that it receives. Then, that shall lead to violation of specifications as the relay node should not parse the message it receives.

Regards,
Nimish

-----"marco.carusio" <[email-masked]> wrote: -----

To: Nimish Bhargava/HSS@HSS
From: "marco.carusio" <[email-masked]>
Date: 06/15/2007 03:41PM
cc: "Satendra Gera \(satgera\)" <[email-masked]>, [email-masked]
Subject: Re: Relay supporting application

Hi Nimish and Satendra,

from RFC 3588 par. 1.3:

"...relays never originate messages, do not need to
understand the semantics of messages or non-routing AVPs, and are
capable of handling any Diameter application or message type."

In my understanding there is no need for implementing application support
inside the relay, indeed it is not in charge of providing application
functionalities.
Anyway I guess there is not any restriction for providing to relays the
capabilities of processing application level data.

I don't know if I answered your question.

Regards,
Marco.

Nimish Bhargava scrive:

> Hi Satendra
>
> Please find my comments inline.
>
> Regards,
> Nimish
>
>
>
>
> "Satendra Gera (satgera)"
> 06/15/2007 02:56 PM
>
>
> To
> Nimish Bhargava/HSS@HSS
> cc
>
> Subject
> RE: [Dime] Relay supporting application
>
>
>
>
>
>
> Hi Nimish,
>
> IMO there is no restriction on support of applications on a relay node
> (node supporting relay functionality).
> I remember more than one implementations from last interop supporting
> application in addition to relay functionality on the same node.
>
>
> Could you please verify that the node was suppoting relay application also
> (along with relay functionality).
>
>
> It is common to have similar setup where a server serves requests for/from
> local domain and relays the rest.
>
>
> I do agree that a node can serve the requests from some domain and relay
> the rest.
> What I want to confirm is whether this node supports the relay application
> also ?
>
>
>
> Regards,
> Satendra
>
> From: Nimish Bhargava [mailto:[email-masked]]
> Sent: Friday, June 15, 2007 12:48 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Subject: [Dime] Relay supporting application
>
>
> Hi all,
>
> Can anyone provide information about whether the relay nodes can support
> any application also?
>
> According to Specification 3588 section 2.8.1 last para
>
> "Since Relays do not perform any application level processing, they
>    provide relaying services for all Diameter applications, and
>    therefore MUST advertise the Relay Application Identifier."
>
> Does this mean that relay agents can never support any application above
> them ?
>
> Regards,
> Nimish
>
>
> ***********************  Aricent-Unclassified   ***********************
> "DISCLAIMER: This message is proprietary to Aricent  and is intended
> solely for the use of
> the individual to whom it is addressed. It may contain privileged or
> confidential information and should not be
> circulated or used for any purpose other than for what it is intended. If
> you have received this message in error,
> please notify the originator immediately. If you are not the intended
> recipient, you are notified that you are strictly
> prohibited from using, copying, altering, or disclosing the contents of
> this message. Aricent accepts no responsibility for
> loss or damage arising from the use of the information transmitted by this
> email including damage from virus."
>
>
>
>
> ***********************  Aricent-Unclassified   ***********************
> "DISCLAIMER: This message is proprietary to Aricent  and is intended solely for the use of
> the individual to whom it is addressed. It may contain privileged or confidential information and should not be
> circulated or used for any purpose other than for what it is intended. If you have received this message in error,
> please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly
> prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for
> loss or damage arising from the use of the information transmitted by this email including damage from virus."

*****Aricent-Unclassified *****=

"DISCLAIMER: This message is proprietary to Aricent and is intended solely for the use of
the individual to whom it is addressed. It may contain privileged or confidential information and should not be
circulated or used for any purpose other than for what it is intended. If you have received this message in error,
please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for
loss or damage arising from the use of the information transmitted by this email including damage from virus."

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: "Glen Zorn \(gwz\)" <[email-masked]>
Date: Sun, 17 Jun 2007 22:03:54 -0700

Hi Marco

I have a concern that if we start providing application support at a
node supporting relay application then the node will be required to
parse every message that it receives. Then, that shall lead to violation
of specifications as the relay node should not parse the message it
receives. 
Would you mind defining the term "node" as you are using it?  

Regards,
Nimish

	To: Nimish Bhargava/HSS@HSS
	From: "marco.carusio" <[email-masked]>
	Date: 06/15/2007 03:41PM
	cc: "Satendra Gera \(satgera\)" <[email-masked]>,
[email-masked]
	Subject: Re: Relay supporting application
	
	Hi Nimish and Satendra,
	
	from RFC 3588 par. 1.3: 
	
	"...relays never originate messages, do not need to
	understand the semantics of messages or non-routing AVPs, and
are
	capable of handling any Diameter application or message type." 
	
	In my understanding there is no need for implementing
application support 
	inside the relay, indeed it is not in charge of providing
application 
	functionalities.
	Anyway I guess there is not any restriction for providing to
relays the 
	capabilities of processing application level data. 

	Regards,
	Marco. 

	> the individual to whom it is addressed. It may contain
privileged or confidential information and should not be 
	> circulated or used for any purpose other than for what it is
intended. If you have received this message in error, 
	> please notify the originator immediately. If you are not the
intended recipient, you are notified that you are strictly
	> prohibited from using, copying, altering, or disclosing the
contents of this message. Aricent accepts no responsibility for 
	> loss or damage arising from the use of the information
transmitted by this email including damage from virus."

*****Aricent-Unclassified *****= 
"DISCLAIMER: This message is proprietary to Aricent  and is intended
solely for the use of 
the individual to whom it is addressed. It may contain privileged or
confidential information and should not be 
circulated or used for any purpose other than for what it is intended.
If you have received this message in error, 
please notify the originator immediately. If you are not the intended
recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of
this message. Aricent accepts no responsibility for 
loss or damage arising from the use of the information transmitted by
this email including damage from virus."

---

From: Nimish Bhargava <[email-masked]>
Date: Mon, 18 Jun 2007 10:47:34 +0530

Hi Glen

I am denoting a "diameter agent" as a node.

Regards,
Nimish

"Glen Zorn \(gwz\)" <[email-masked]> 
06/18/2007 10:33 AM

To
Nimish Bhargava/HSS@HSS
cc
<[email-masked]>, "marco.carusio" <[email-masked]>
Subject
RE: [Dime] Re: Relay supporting application

Hi Marco

I have a concern that if we start providing application support at a node 
supporting relay application then the node will be required to parse every 
message that it receives. Then, that shall lead to violation of 
specifications as the relay node should not parse the message it receives. 

Regards,
Nimish

Hi Nimish and Satendra,

from RFC 3588 par. 1.3: 

Regards,
Marco. 

> circulated or used for any purpose other than for what it is intended. 
If 
> loss or damage arising from the use of the information transmitted by 
this 
solely for the use of